Name:		cppcheck
Version:	1.61
Release:	1
Summary:	Tool for static C/C++ code analysis
Group:		Development/Languages
License:	GPLv3+
URL:		http://cppcheck.wiki.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.1
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	AIX-rpm >= 6.1.0.0
BuildRequires:	make
BuildRequires:	docbook-style-xsl >= 1.76.1-1
BuildRequires:	libxslt >= 1.1.24-2

Requires:	AIX-rpm >= 6.1.0.0

%description
Cppcheck is a static analysis tool for C/C++ code. Unlike C/C++
compilers and many other analysis tools it does not detect syntax
errors in the code. Cppcheck primarily detects the types of bugs that
the compilers normally do not detect. The goal is to detect only real
errors in the code (i.e. have zero false positives).


%prep
%setup -q
%patch0


%build
export CXX="xlC_r -I/usr/include"
gmake %{?_smp_mflags}

xsltproc --nonet -o man/manual.html \
    %{_datadir}/sgml/docbook/xsl-stylesheets/xhtml/docbook.xsl \
    man/manual.docbook


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING man/manual.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
/usr/bin/%{name}


%changelog
* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.61-1
- updated to version 1.61

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.60.1-1
- updated to version 1.60.1

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.59-1
- updated to version 1.59

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.58-1
- updated to version 1.58

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.57-1
- updated to version 1.57

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.56-1
- updated to version 1.56

* Tue Dec 10 2013 Michael Perzl <michael@perzl.org> - 1.55-1
- first version for AIX V6.1 and higher
